> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch data source values

> Get paginated values for a filter data source using cursor-based pagination



## OpenAPI

````yaml /_openapi/data-transformation-api.json GET /api/v1/streams/data-management/filter-data-sources/{data_source_id}/values
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/streams/data-management/filter-data-sources/{data_source_id}/values:
    get:
      tags:
        - STREAMS
        - DATA-MANAGEMENT
        - FILTERS
      summary: Get Filter Data Source Values
      description: >-
        Get paginated values for a filter data source using cursor-based
        pagination
      operationId: >-
        get_data_source_values_api_v1_streams_data_management_filter_data_sources__data_source_id__values_get
      parameters:
        - name: data_source_id
          in: path
          required: true
          schema:
            type: string
            title: Data Source Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 10
            description: Max number of items returned. Default is 10.
            default: 10
            title: Limit
          description: Max number of items returned. Default is 10.
        - name: cursor
          in: query
          required: false
          schema:
            description: Cursor to request the next page of results.
            title: Cursor
            type: string
          description: Cursor to request the next page of results.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: c752a684-b7c3-478b-89df-d96f40b1d3ad
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````